// Cards (modifies Bootstrap cards)
.card {
  --img-overlay-bg: var(--bs-dark-glass);
  --img-overlay-color: var(--bs-white);
  &-image {
    img {
      max-width: none;
      width: 100%;
      &.b-lazy {
        transition-property: opacity;
        transition-duration: 150ms;
      }

      &.b-loaded {
        opacity: 1;
      }

      &.b-lazy:not(.b-loaded) {
        width: auto;
        height: auto;
        max-width: 100%;
        object-fit: none;
        opacity: 0;
      }
    }
  }

  &-img-overlay {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    background-color: var(--img-overlay-bg);
    color: var(--img-overlay-color);
  }

  &--type-tile {
    .card-image {
      height: 100%;
      img {
        height: 100%;
        width: 100%;
        object-fit: cover;
        object-position: center;
      }
    }
  }

  // Stretch cards to 100% height if only child in a column
  [class^="col-"] > & {
    --bs-card-height: 100%;
    .card-body {
      display: flex;
      flex-direction: column;
      > .card-buttons {
        margin-top: auto;
      }
    }
  }
}
